/* $Id: GSMenuBar.java 1080 2016-03-30 00:49:23Z minao $ */
package smart_gs.menu;

import java.util.Locale;
import java.util.ResourceBundle;

import javax.swing.JMenu;
import javax.swing.JMenuBar;

import smart_gs.smleditor.swingui.GSEditorTextPane;
import smart_gs.swingui.AbstractGSWindow;
import smart_gs.swingui.WorkspaceWindow;
import smart_gs.swingui.toolbar.GSEditorToolBar;
import smart_gs.util.MessageProperties;
import sml_editor.swingui.EditorTextPane;
import smart_gs.network.RepositoryMenu;

@SuppressWarnings("serial")
public class GSMenuBar extends JMenuBar{
	private EditMenu editMenu;
	private GSEditorTextPane textPane;
	private JMenu fileMenu;

	//2007/11/1 kazuhiro kobayashi
	public GSMenuBar(AbstractGSWindow parent,GSEditorToolBar gsEditorToolBar){
		this.fileMenu = new FileMenu("File");
		// 譌・譛ャ隱槭Γ繝�繧サ繝シ繧クresource bundle縺ョ蜿門セ�
		MessageProperties mp = MessageProperties.getInstance();
		// properties繝輔ぃ繧、繝ォ縺ォ譖ク縺九ｌ縺溘Γ繝�繧サ繝シ繧ク繧談ey縺ァ蜿門セ�		
		this.fileMenu = new FileMenu(mp.getMsg("menu.file"));
		this.add(fileMenu);
		this.editMenu = new EditMenu(mp.getMsg("menu.edit"), parent);
		this.add(editMenu);
		JMenu toolMenu = new ToolMenu(mp.getMsg("menu.tool"), parent);		
		this.add(toolMenu);
		JMenu searchMenu = new SearchMenu(mp.getMsg("menu.search"), parent);		
		this.add(searchMenu);
		JMenu reasoningWebMenu = new ReasoningWebMenu(mp.getMsg("menu.RW"), parent);
		this.add(reasoningWebMenu);
//		JMenu connectionMenu = new ConnectionMenu("Connection", parent);		
//		this.add(connectionMenu);
		JMenu repositoryMenu = new RepositoryMenu(mp.getMsg("menu.repo"), parent);		
		this.add(repositoryMenu);

		
		JMenu preferenceMenu = new PreferenceMenu(mp.getMsg("menu.preference"), parent);		
		this.add(preferenceMenu);
//		JMenu sheetMenu = new SheetMenu("Sheet");
//		this.add(sheetMenu);
	}
//	public void setEditorTextPane(EditorTextPane textPane){
//		this.editMenu.setTextPane(textPane);
//		this.validate();
//	}
	public void setEnabledSaveMenu(boolean enabled){
//		this.fileMenu.
	}
	
}
